#ifndef FUNCTIONS_H
#define FUNCTIONS_H

//prototypes
double ADC_read(uint8_t channel);
void ADC_init(void);
void isEqual(double a, double b, double allowance);
void check_con_passage(uint8_t pins, uint8_t D_INX);
void check_ADC(double *temp_x, uint8_t port, double left, double right);
void uart_init(void);
int uart_putc(unsigned char c);
void uart_puts (char *s);
uint8_t uart_getc(void);
void EIA_232_error_durchgang(char *connection1, char *connection2);
void EIA_232_error_ADC(char *connection1, double value);
void EIA_232_debug_ADC(char *connection,double value);
void EIA_232_debug_durchgang(char *connection1, char *connection2);
void ME37047009(void);

#endif /* FUNCTIONS_H */
