#ifndef DEFINES_H
#define DEFINES_H

// defines

//D_OUT
#define D_OUT0 PD5 		// LED
#define D_OUT1 PD4		// Zndung
#define D_OUT2 PD7		// Can-Verbindung
#define D_OUT3 PD6		// load,5V
#define D_OUT4 PB4		// Kardan
#define D_OUT5 PB3		// Zapfwelle
#define D_OUT6 PB2		// load,GND
//MUX Input (D_OUT)
#define S0 (1<<PC0)
#define S1 (1<<PC1)
#define S2 (1<<PC6)

//D_IN
#define D_IN0 PB0		// Taster
#define D_IN1 PB1		// B-10 to A-10
#define D_IN2 PB1		// B-9 to A-9
#define D_IN3 PB1		// B-8 to A-8
#define D_IN4 PB1		// B-7 to A-7
#define D_IN5 PB5		// B-6 to A-6
#define D_IN6 PB6		// B-5 to A-5
#define D_IN7 PB7		// B-4 to A-4
#define D_IN8 PB1		// B-3 to A-3
#define D_IN9 PB1		// C-4 to GND
#define D_IN10 PB1		// C-3+C+6 to C-9 + Zndung
#define D_IN11 PB1		// C-11 to GND
#define D_IN12 PB1		// C-13 to GND

//ADC
#define ADC0 0			// load,5V
#define ADC1 1			// load,GND
#define ADC2 2			// Kardan/Zapfwelle
#define ADC3 3			// 12 V Zuleitung

#endif /* DEFINES_H */