//*** DEBUG MODE ***//
//#define DEBUG


#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>
#include <stdlib.h>
#include <inttypes.h>
#include "functions.h"
#include "defines.h"
#include "debounce.h"
#include "baud_calc.h"


/************************************************************************/
/* start of main */
/***********************************************************************/


int main( void )
{
	// Portsettings
	DDRA	= 0x00;								// PORT A as input
	DDRB	= (1<<DDB2)|(1<<DDB3)|(1<<DDB4);	// PIN 2,3,4 as output
	PORTB 	= 0x00;								// PORT B as input
	DDRC 	= (1<<DDC0)|(1<<DDC1)|(1<<DDC6);	// PIN 0,1,6 as output for MUX
	PORTC 	= 0x00;								// PORT C as input
	DDRD	= 0xFF;								// PORT	D as output
	PORTD	= 0x00; 							// LEDs PORT D red ON


ADC_init();
uart_init();

	ME37047009();

return 0;
}
/*******************************************************************/
/* end of main */
/*******************************************************************/


